execute positioned 0.0 65 -8.5 unless entity @e[distance=0..1] run return 0


function pizza:actions/order_validation/compare

execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] positioned as @s if score score pizzaCalculator matches -1 run particle sculk_charge_pop ~ ~2 ~ 0.4 0.4 0.4 0.01 5
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] positioned as @s if score score pizzaCalculator matches 0 run particle damage_indicator ~ ~1 ~ 0.4 0.4 0.4 0.01 5
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] positioned as @s if score score pizzaCalculator matches 1 run particle happy_villager ~ ~1.5 ~ 0.4 0.4 0.4 0.01 5
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] positioned as @s if score score pizzaCalculator matches 2 run particle sculk_soul ~ ~1.8 ~ 0.4 0.4 0.4 0.01 5
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] positioned as @s if score score pizzaCalculator matches 3 run particle soul ~ ~1.8 ~ 0.4 0.4 0.4 0.01 5
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] positioned as @s if score score pizzaCalculator matches 4 run particle heart ~ ~1.5 ~ 0.4 0.4 0.4 0.01 5
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] positioned as @s if score score pizzaCalculator matches 5 run particle angry_villager ~ ~1.5 ~ 0.4 0.4 0.4 0.01 5

execute positioned -1.5 66 -7.5 run function pizza:actions/effects/cash/spawn

scoreboard players operation total_score stats += score pizzaCalculator
execute if score score pizzaCalculator matches 1.. run scoreboard players add pizza_delivered stats 1
scoreboard players operation average_satisfaction stats = total_score stats 
scoreboard players operation average_satisfaction stats /= pizza_delivered stats 

function pizza:setup/reset_pizza

function pizza:actions/bubble/hide
function pizza:actions/recipe_sheet/hide
function pizza:actions/randomness/generate_new_order
schedule function pizza:actions/recipe_sheet/update 5t
schedule function pizza:actions/bubble/update 5t



execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] if score score pizzaCalculator >= 4 pizzaCalculator run tag @s add happy
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] if score score pizzaCalculator >= 3 pizzaCalculator run function pizza:customer_ai/communication/happy_reaction
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] if score score pizzaCalculator < 3 pizzaCalculator run function pizza:customer_ai/communication/mad_reaction
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] if score score pizzaCalculator matches -1 run tag @s add burnt_pizza
execute positioned 0.0 65 -8.5 as @e[sort=nearest,distance=0..1,limit=1,tag=customer,tag=waiting_for_order] run function pizza:customer_ai/logic/pick_table