execute as @a run function pizza:actions/item_logic/equip_player

execute as @a unless score @s quits matches 0 run function pizza:actions/init_player


function pizza:tick/equip_pickables

execute as @e[type=interaction] if data entity @s interaction run function pizza:tick/process_interactions

execute as @e[tag=hitbox,limit=1] if data entity @s HandItems[0].id run function pizza:tick/process_inputs

execute if score carry_pizza pizzaCalculator matches 0 if score baked pizzaCalculator matches 1 if score oven_timer pizzaCalculator > 0 pizzaCalculator run scoreboard players set carry_pizza pizzaCalculator 0

execute if score carry_pizza pizzaCalculator matches 1 run function pizza:tick/sync_positions

execute if score oven_timer pizzaCalculator matches 0 run function pizza:actions/bake

function pizza:tick/tick_timers

function pizza:tick/update_current_pizza


execute if score allowed_upgrade_selection pizzaCalculator matches 1 if score latest_upgrade pizzaCalculator matches -1 unless data entity @e[tag=first_upgrade_selector,limit=1] HandItems[0].id run function pizza:actions/storage_manipulation/push_first_upgrade
execute if score allowed_upgrade_selection pizzaCalculator matches 1 if score latest_upgrade pizzaCalculator matches -1 unless data entity @e[tag=second_upgrade_selector,limit=1] HandItems[0].id run function pizza:actions/storage_manipulation/push_second_upgrade
execute if score allowed_upgrade_selection pizzaCalculator matches 1 if score latest_upgrade pizzaCalculator matches -1 unless data entity @e[tag=third_upgrade_selector,limit=1] HandItems[0].id run function pizza:actions/storage_manipulation/push_third_upgrade

execute as @a if score @s skip_trigger matches 1 as @s run function pizza:actions/upgrade/unlock_all_upgrades
execute as @a if score @s restart_trigger matches 1 as @s run reload

execute positioned 0.0 66.0 -7.0 if entity @e[tag=hitbox,distance=0..1] if score packed pizzaCalculator matches 1 if score carry_pizza pizzaCalculator matches 0 positioned 3.8125 66.0625 -6.59375 run function pizza:actions/serve

execute as @e[tag=customer] run function pizza:tick/tick_customer

function pizza:tick/update_cars

execute positioned 7.0 66 -2.0 if entity @a[distance=0..12] run function pizza:tick/tick_time

execute if score time pizzaCalculator > 3600 pizzaCalculator positioned 9.0 66 -8.0 unless entity @e[tag=customer,distance=0..22] run function pizza:actions/time/end_day

execute positioned -6.5 65 -4.0 as @a[limit=1,distance=0..1,tag=!teleporting] run function pizza:tick/tick_portal

execute if score time pizzaCalculator > 0 pizzaCalculator if score running tutorial matches 1 if score stage tutorial matches 0 run title @a actionbar {"text":"The tutorial will begin when your first customer arrives!","color":"#B3E395"}
execute positioned 7.0 66 -2.0 if entity @a[distance=0..12] positioned 1.0 65 -8.5 if entity @e[tag=customer,distance=0..1] run function pizza:tick/tick_tutorial

function pizza:tick/tick_music_player


